# Uses of Class
com.ngrok.definitions.EndpointOidc

Packages that use EndpointOidc
Package
Description
com.ngrok.definitions
com.ngrok.services

- ## Uses of EndpointOidc in com.ngrok.definitions

  Methods in com.ngrok.definitions that return EndpointOidc
  Modifier and Type
  Method
  Description
  `EndpointOidc`
  EndpointOidc.Builder.`build()`
  Constructs the `EndpointOidc` instance.
  Methods in com.ngrok.definitions that return types with arguments of type EndpointOidc
  Modifier and Type
  Method
  Description
  `Optional<EndpointOidc>`
  HttpsEdgeRoute.`getOidc()`
  oidc module configuration or `null`

- ## Uses of EndpointOidc in com.ngrok.services

  Methods in com.ngrok.services that return EndpointOidc
  Modifier and Type
  Method
  Description
  `EndpointOidc`
  EdgeRouteOidcModule.GetCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `EndpointOidc`
  EdgeRouteOidcModule.ReplaceCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  Methods in com.ngrok.services that return types with arguments of type EndpointOidc
  Modifier and Type
  Method
  Description
  `CompletionStage<EndpointOidc>`
  EdgeRouteOidcModule.GetCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<EndpointOidc>`
  EdgeRouteOidcModule.ReplaceCallBuilder.`call()`
  Initiates the API call asynchronously.
  Methods in com.ngrok.services with parameters of type EndpointOidc
  Modifier and Type
  Method
  Description
  `EdgeRouteOidcModule.ReplaceCallBuilder`
  EdgeRouteOidcModule.ReplaceCallBuilder.`module(EndpointOidc module)`
  Sets the `module` parameter.
  `EdgesHttpsRoutes.CreateCallBuilder`
  EdgesHttpsRoutes.CreateCallBuilder.`oidc(EndpointOidc oidc)`
  oidc module configuration or `null`
  `EdgesHttpsRoutes.UpdateCallBuilder`
  EdgesHttpsRoutes.UpdateCallBuilder.`oidc(EndpointOidc oidc)`
  oidc module configuration or `null`
  Method parameters in com.ngrok.services with type arguments of type EndpointOidc
  Modifier and Type
  Method
  Description
  `EdgeRouteOidcModule.ReplaceCallBuilder`
  EdgeRouteOidcModule.ReplaceCallBuilder.`module(Optional<EndpointOidc> module)`
  Sets (or unsets) the `module` parameter.
  `EdgesHttpsRoutes.CreateCallBuilder`
  EdgesHttpsRoutes.CreateCallBuilder.`oidc(Optional<EndpointOidc> oidc)`
  oidc module configuration or `null`
  `EdgesHttpsRoutes.UpdateCallBuilder`
  EdgesHttpsRoutes.UpdateCallBuilder.`oidc(Optional<EndpointOidc> oidc)`
  oidc module configuration or `null`